import logging

from pyrogram import filters
from pyrogram.types import Message

from classes.pyroclient import PyroClient

logger = logging.getLogger(__name__)


@PyroClient.on_message(
    ~filters.scheduled
    & filters.private
    & filters.command(["help", "start"], prefixes=["/"])  # type: ignore
)
async def command_help(app: PyroClient, message: Message):
    await message.reply_text(
        app._("help", "messages", locale=message.from_user.language_code),
        disable_web_page_preview=True,
    )
